package org.studiorailgun.conversation;

import org.studiorailgun.Globals;
import org.studiorailgun.conversation.evaluators.EvaluationTree;
import org.studiorailgun.conversation.tracking.Quote;

/**
 * The top level ai class
 */
public class ConvAI {
    
    /**
     * Simulates a frame of the ai
     * @param input The raw input text
     */
    public static Quote simFrame(String input){
        Quote playerQuote = new Quote(input);
        //handle ai statement
        return EvaluationTree.evaluate(Globals.conversation, playerQuote);
    }

}
